documentTemplateComponent

The documentTemplateComponent query in Bunny's GraphQL API, with its arguments, return type and an example request.

Scope required:

For a complete list of possible response fields see the DocumentTemplateComponent type.

query documentTemplateComponent ($id: ID, $code: String, $format: String) {
  documentTemplateComponent (id: $id, code: $code, format: $format) {
    alignment
    background
    color
    content
    createdAt
    documentTemplateId
    editableInQuoteBuilder
    font
    fontSize
    fontWeight
    height
    id
    imageScale
    imageSignedId
    imageUrl
    lineSpacing
    marginBottom
    marginLeft
    marginRight
    marginTop
    name
    paddingBottom
    paddingLeft
    paddingRight
    paddingTop
    position
    skipPages
    twoColumns
    updatedAt
    width
  }
}

ArgumentsLink to Arguments section

Name Type Description
id ID  
code String  
format String  

ResponseLink to Response section